Cancel Order

View as Markdown
The **Cancel Order** is an **authenticated API** that allows users to **cancel an existing order** before payment is completed. This API is useful for cases where **users change their mind, enter incorrect details, or experience payment issues**. Once an order is **successfully canceled**, it cannot be **reversed**, and a new order must be placed.

Path parameters

orderidstringRequired

orderId is the id received from the API - api/v2/orders

Headers

authorizationstringRequired

Authorization token is the accessToken received from the API - api/v2/auth/verify

Note: This is not applicable for Auth Reliance Flows

x-user-identifierstringOptional

Your authenticated user Email Id address.

Note: This is applicable only for Auth Reliance Flows

x-access-tokenstringOptional

Your Partner Access Token. Please refer here for a tutorial on generating your access token.

Note: This is applicable only for Auth Reliance Flows

Query parameters

cancelReasonstringRequired
Reason to Cancel the order

Response

200 - Success

dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
500
Internal Server Error